libgdamm Reference Documentation

Main Page Namespaces Book

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all class members with links to the classes they belong to:

### - p -

- Parameter() : Gnome::Gda::Parameter
- PARAMETER_LIST_DEPENDENCY_NOT_IN_PARAMLIST_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_DEPENDENCY_POSITION_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_NO_NODE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_NODE_OUTDATED_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_VALUE_PROV_DATA_TYPE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_VALUE_PROV_INVISIBLE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_VALUE_PROV_OBJ_TYPE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_VALUE_PROV_QUERY_TYPE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_XML_SPEC_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_QUERY_LIMIT_ERROR : Gnome::Gda::ParameterError
- ParameterError() : Gnome::Gda::ParameterError
- ParameterList() : Gnome::Gda::ParameterList
- ParameterListError() : Gnome::Gda::ParameterListError
- perform_create_database() : Gnome::Gda::Client
- perform_drop_database() : Gnome::Gda::Client
- pkey_get_fields() : Gnome::Gda::DictConstraint
- pkey_set_fields() : Gnome::Gda::DictConstraint
- prepare_create_database() : Gnome::Gda::Client
- prepare_drop_database() : Gnome::Gda::Client
- property_command_text() : Gnome::Gda::DataModelRow
- property_command_type() : Gnome::Gda::DataModelRow
- property_cond_type() : Gnome::Gda::QueryCondition
- property_current_row() : Gnome::Gda::DataModelIter
- property_data_model() : Gnome::Gda::DataModelIter
- property_entity() : Gnome::Gda::QueryTarget
- property_entity_id() : Gnome::Gda::QueryTarget
- property_entity_name() : Gnome::Gda::QueryTarget
- property_entry_plugin() : Gnome::Gda::QueryFieldField , Gnome::Gda::QueryFieldValue , Gnome::Gda::Parameter
- property_field() : Gnome::Gda::QueryFieldField
- property_field_id() : Gnome::Gda::QueryFieldField
- property_field_name() : Gnome::Gda::QueryFieldField
- property_forced_model() : Gnome::Gda::DataModelIter
- property_full_bind() : Gnome::Gda::Parameter
- property_g_type() : Gnome::Gda::QueryFieldValue , Gnome::Gda::Parameter , Gnome::Gda::QueryFieldValue
- property_id() : Gnome::Gda::Column
- property_model() : Gnome::Gda::DataProxy
- property_not_null() : Gnome::Gda::Parameter
- property_prepend_null_entry() : Gnome::Gda::DataProxy
- property_query() : Gnome::Gda::QueryCondition , Gnome::Gda::QueryFieldAll , Gnome::Gda::QueryFieldField , Gnome::Gda::QueryFieldValue , Gnome::Gda::QueryJoin , Gnome::Gda::QueryTarget
- property_read_only() : Gnome::Gda::DataModelRow
- property_restrict_column() : Gnome::Gda::Parameter , Gnome::Gda::QueryFieldValue , Gnome::Gda::Parameter
- property_restrict_model() : Gnome::Gda::QueryFieldValue , Gnome::Gda::Parameter , Gnome::Gda::QueryFieldValue , Gnome::Gda::Parameter
- property_simple_bind() : Gnome::Gda::Parameter
- property_target() : Gnome::Gda::QueryFieldAll , Gnome::Gda::QueryFieldField
- property_target1() : Gnome::Gda::QueryJoin
- property_target1_id() : Gnome::Gda::QueryJoin
- property_target2() : Gnome::Gda::QueryJoin
- property_target2_id() : Gnome::Gda::QueryJoin
- property_target_id() : Gnome::Gda::QueryFieldAll , Gnome::Gda::QueryFieldField
- property_target_name() : Gnome::Gda::QueryFieldField , Gnome::Gda::QueryFieldAll
- property_type() : Gnome::Gda::ConnectionEvent
- property_update_model() : Gnome::Gda::DataModelIter
- property_use_default_value() : Gnome::Gda::Parameter
- property_user_constraint() : Gnome::Gda::DictConstraint
- property_value_provider() : Gnome::Gda::QueryFieldField
- property_value_provider_xml_id() : Gnome::Gda::QueryFieldField
- ProviderInfo() : Gnome::Gda::ProviderInfo